#ifndef PixelDetectorFactory_h
#define PixelDetectorFactory_h 


#include "GeoModelKernel/GeoVDetectorFactory.h"
// readout includes:
#include "InDetReadoutGeometry/PixelDetectorManager.h"


#include "StoreGate/DataHandle.h"
class StoreGateSvc;
class IMessageSvc;
class PixelSwitches;

class PixelDetectorFactory : public GeoVDetectorFactory  {

 public:
  
  // Constructor:
  PixelDetectorFactory(StoreGateSvc *pDetStore, const PixelSwitches & switches);
  
  // Destructor:
  ~PixelDetectorFactory();
  
  // Creation of geometry:
  virtual void create(GeoPhysVol *world);
  
  // Access to the results:
  virtual const InDetDD::PixelDetectorManager * getDetectorManager() const;
 
 private:  
  
  // Illegal operations:
  const PixelDetectorFactory & operator=(const PixelDetectorFactory &right);
  PixelDetectorFactory(const PixelDetectorFactory &right);
  // private data
  InDetDD::PixelDetectorManager     *m_detectorManager;
  StoreGateSvc             *m_detectorStore;
  IMessageSvc * m_msgSvc;
 
};

// Class PixelDetectorFactory 
#endif


