#ifndef PixelDetectorFactoryDC2_h
#define PixelDetectorFactoryDC2_h 


#include "GeoModelKernel/GeoVDetectorFactory.h"
// readout includes:
#include "InDetReadoutGeometry/PixelDetectorManager.h"


#include "StoreGate/DataHandle.h"
class StoreGateSvc;
class IMessageSvc;
class PixelSwitches;

class PixelDetectorFactoryDC2 : public GeoVDetectorFactory  {

 public:
  
  // Constructor:
  PixelDetectorFactoryDC2(StoreGateSvc *pDetStore, const PixelSwitches & switches);
  
  // Destructor:
  ~PixelDetectorFactoryDC2();
  
  // Creation of geometry:
  virtual void create(GeoPhysVol *world);
  
  // Access to the results:
  virtual const InDetDD::PixelDetectorManager * getDetectorManager() const;
 
 private:  
  
  // Illegal operations:
  const PixelDetectorFactoryDC2 & operator=(const PixelDetectorFactoryDC2 &right);
  PixelDetectorFactoryDC2(const PixelDetectorFactoryDC2 &right);
  // private data
  InDetDD::PixelDetectorManager     *m_detectorManager;
  StoreGateSvc             *m_detectorStore;
  IMessageSvc * m_msgSvc;
 
};

// Class PixelDetectorFactory 
#endif


