#
# Initializes the whole detector description.
# If a particular geometry version is required then
# either set version directly. Eventually for reconstruction
# version will be automitically detected from Pool file.

#
#  include (AtlasGeoModel/GeoModelInit)
#  GeoModelSvc = Service("GeoModelSvc")
#  GeoModelSvc.AtlasVersion = "ATLAS-00"
#
# or set DetDescrVersion and include "AtlasGeoModel/SetGeometryVersion.py"
#
#  DetDescrVersion = "DC2"
#  include ("AtlasGeoModel/SetGeometryVersion.py")
#  include ("AtlasGeoModel/GeoModelInit")
#

# Load RDBAcessSvc (Access to parameter Database)
include ("RDBAccessSvc/RDBAccessSvcPdb_jobOptions.py")
    
# Load GeoModelSvc
theApp.Dlls += [ "GeoModelSvc" ]
theApp.CreateSvc += [ "GeoModelSvc"]

# Load the detectors. These job option fragments look at DetFlags if it is
# defined. 

include ("AtlasGeoModel/InDetGeoModel.py")
include ("AtlasGeoModel/LArGeoModel.py")
include ("AtlasGeoModel/TileGeoModel.py")
include ("AtlasGeoModel/MuonGeoModel.py")
include ("AtlasGeoModel/MiscGeoModel.py")


include("GeoModelGraphics.py")
