#==============================================================
#
# Job options file for Geant4 Simulations
#
#==============================================================
theApp.setup( MONTECARLO )

include( "NovaCnvSvc/NovaCnvSvc_jobOptions.py" )

include( "NovaConverters/NovaConverters_jobOptions.py" )

include( "PartPropSvc/PartPropSvc.py" )

# hit athenapool converter
# Remove this comment if you want to write out the hits
include( "AtlasG4Sim/HitAthenaPoolWriteOptions.py" )

# instanciate explicitely the DetDescr manager here
include ("DetDescrCnvSvc/DetStore_joboptions.py")

DetDescrCnvSvc = Service( "DetDescrCnvSvc" )
DetDescrCnvSvc.DecodeIdDict = TRUE 
include( "CaloIdCnv/CaloIdCnv_joboptions.py" )

include( "G4Svc/jobOptions.G4Svc.py" )

#GeoModel stuff
theApp.Dlls += [ "Geo2G4"]
theApp.ExtSvc += [ "Geo2G4Svc" ]
# GeoModel initialization
include( "AtlasGeoModel/GeoModelCommon.py" )

include( "AtlasGeoModel/InDetGeoModel.py" )
include( "AtlasGeoModel/TileGeoModel.py" )
include( "AtlasGeoModel/MuonGeoModel.py" )

theApp.Dlls += [ "TruthExamples" , "G4SimAlg"]
theApp.TopAlg = [ "G4SimAlg" ]
# OUTPUT PRINTOUT LEVEL
# Set output level threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL )
# you can override this for individual modules if necessary
MessageSvc = Service( "MessageSvc" )
MessageSvc.OutputLevel               = 4
#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------
# Number of events to be processed (default is 10)
theApp.EvtMax = 2
#-------------------------------------------------------------
# Configure algorithms and services
#-------------------------------------------------------------
# G4Svc
# -----
G4Svc = Service( "G4Svc" )
G4Svc.PhysicsList       =       "none"
G4Svc.SaveHits          =       FALSE
G4Svc.Visualize         =       FALSE
G4Svc.RunVerbosity      =           2
G4Svc.EventVerbosity    =           0
G4Svc.TrackingVerbosity =           0
G4Svc.Listener		=	FALSE
G4Svc.InteractiveG4	=	TRUE
G4Svc.FADSMacro		=  "env.mac:AtlasGeoModel.mac:PhysicsList.mac:Filters.mac"
# SingleParticleGun
# -----------------
#SingleParticleGun = Algorithm( "SingleParticleGun" )
#SingleParticleGun.PdgCode=-13
#SingleParticleGun.ModePt=3
# remember: energy/momentum now in MeV!!!!
#SingleParticleGun.MinPt=10000
#SingleParticleGun.MaxPt=11000
#SingleParticleGun.MinEta=-2.2
#SingleParticleGun.MaxEta= 2.2
#--------------------------------------------------------------
